## kbd 0.91

=== Makefile ===
# Note: keytables used to be in /usr/lib, here it is in /usr/lib/kbd
# (and BINDIR, DATADIR also occur in src/Makefile).
MANDIR  = /usr/man
BINDIR  = /usr/bin
DATADIR = /usr/lib/kbd
# If you change the names of any of the following subdirs,
# also change paths.h.
KEYMAPDIR = keytables
FONTDIR   = consolefonts
TRANSDIR  = consoletrans
VIDEOMODEDIR = videomodes
SUBDIRS = $(KEYMAPDIR) $(FONTDIR) $(TRANSDIR) $(VIDEOMODEDIR)

DIR	= kbd-0.91

.EXPORT_ALL_VARIABLES:

all:
	cd src && make all

install:
	cd src && make install
#	chown root $(BINDIR)/resizecons && chmod u+s $(BINDIR)/resizecons
	for i in man?; do \
		install -d -m 755 $(MANDIR)/$$i; \
		install -m 644 $$i/* $(MANDIR)/$$i; \
	done
	install -d $(DATADIR)
	for i in $(SUBDIRS); do \
		install -d -m 755 $(DATADIR)/$$i ;\
		install -m 644 $$i/* $(DATADIR)/$$i ;\
	done

tar: reallyclean # analyze.c loadkeys.c
	cd ..; 	tar cvf - ./$(DIR) | gzip > $(DIR).tar.gz

clean:
	cd src && make clean

reallyclean: clean
	find . -name "*~" -exec rm {} ";"
	cd src && make reallyclean

## kbd 0.95

=== Makefile ===
# Note: BINDIR, DATADIR also occur in src/Makefile.
MANDIR  = /usr/man
BINDIR  = /usr/bin
DATADIR = /usr/lib/kbd
# If you change the names of any of the following subdirs,
# also change paths.h.
KEYMAPDIR = keytables
FONTDIR   = consolefonts
TRANSDIR  = consoletrans
SUBDIRS = $(KEYMAPDIR) $(FONTDIR) $(TRANSDIR)

DIR	= kbd-0.95

.EXPORT_ALL_VARIABLES:

all:
	cd src && make all
	case `arch` in *86*) \
		cd src && make i386 ;; \
	esac

install:
	cd src && make install
	case `arch` in *86*) \
		cd src && make install386 ;; \
	esac
	for i in man?; do \
		install -d -m 755 $(MANDIR)/$$i; \
		install -m 644 $$i/* $(MANDIR)/$$i; \
	done
	install -d $(DATADIR)
	for i in $(SUBDIRS); do \
		install -d -m 755 $(DATADIR)/$$i ;\
		install -m 644 $$i/* $(DATADIR)/$$i ;\
	done
# compress data files
	cd $(DATADIR) && gzip -f $(KEYMAPDIR)/*.map
# (not yet fonts and maps - setfont and mapscr look at the size)

tar: reallyclean # analyze.c loadkeys.c
	cd ..; 	tar cvf - ./$(DIR) | gzip > $(DIR).tar.gz

clean:
	cd src && make clean

reallyclean distclean spotless: clean
	find . -name "*~" -exec rm {} ";"
	cd src && make reallyclean

## kbd 0.96a

=== Makefile ===
# Note: BINDIR, DATADIR also occur in src/Makefile.
MANDIR  = /usr/man
BINDIR  = /usr/bin
DATADIR = /usr/lib/kbd
# If you change the names of any of the following subdirs,
# also change paths.h.
OLDKEYMAPDIR = keytables
KEYMAPDIR = keymaps
FONTDIR   = consolefonts
TRANSDIR  = consoletrans
KEYMAPSUBDIRS = sun amiga atari mac i386/azerty i386/dvorak i386/fgGIod i386/qwerty i386/qwertz i386/include

DIR	= kbd-0.96a

.EXPORT_ALL_VARIABLES:

all:
	cd src && make all
	case `arch` in *86*) \
		cd src && make i386 ;; \
	esac
	@echo "Done. You can now do _make install_"

# compress data files - do not touch the distribution but copy first
$(KEYMAPDIR)_Z:
	cp -r $(KEYMAPDIR) $(KEYMAPDIR)_Z
	cd $(KEYMAPDIR)_Z && gzip -f -9 */*.map */*/*.map

$(FONTDIR)_Z:
	cp -r $(FONTDIR) $(FONTDIR)_Z
	cd $(FONTDIR)_Z && gzip -f -9 * && gunzip README*
# (not yet screenmaps - some other time)

install:	$(KEYMAPDIR)_Z $(FONTDIR)_Z
	cd src && make install
	case `arch` in *86*) \
		cd src && make install386 ;; \
	esac
	for i in man?; do \
		install -d -m 755 $(MANDIR)/$$i; \
		install -m 644 $$i/* $(MANDIR)/$$i; \
	done
	rm -f $(MANDIR)/man5/keytables.5
	install -d -m 755 $(DATADIR)
	install -d -m 755 $(DATADIR)/$(FONTDIR)
	install -m 644 $(FONTDIR)_Z/* $(DATADIR)/$(FONTDIR)
	install -d -m 755 $(DATADIR)/$(TRANSDIR)
	install -m 644 $(TRANSDIR)/* $(DATADIR)/$(TRANSDIR)
	install -d -m 755 $(DATADIR)/$(KEYMAPDIR)
	install -d -m 755 $(DATADIR)/$(KEYMAPDIR)/i386
	for i in $(KEYMAPSUBDIRS); do \
		install -d -m 755 $(DATADIR)/$(KEYMAPDIR)/$$i ;\
		install -m 644 $(KEYMAPDIR)_Z/$$i/* $(DATADIR)/$(KEYMAPDIR)/$$i ;\
	done
	@echo "Done. You may want to remove old keymaps with"
	@echo "  rm -rf $(DATADIR)/$(OLDKEYMAPDIR)"
	@echo "But be careful to preserve your default map if it is"
	@echo "nonstandard, and to adapt any scripts in rc.local or so."

tar: reallyclean # analyze.c loadkeys.c
	cd ..; 	tar cvf - ./$(DIR) | gzip > $(DIR).tar.gz

clean:
	cd src && make clean
	rm -rf $(KEYMAPDIR)_Z $(FONTDIR)_Z

reallyclean distclean spotless: clean
	find . -name "*~" -exec rm {} ";"
	cd src && make reallyclean

=== src/Makefile ===
ifndef DATADIR
DATADIR = /usr/lib/kbd
endif

ifndef BINDIR
BINDIR = /usr/bin
endif

PROGS   = dumpkeys loadkeys showkey setfont showfont \
	  setleds setmetamode kbd_mode chvt deallocvt \
	  psfaddtable psfgettable psfstriptable \
	  getkeycodes setkeycodes

# probably also getkeycodes and setkeycodes are arch-specific;
# they will work on an alpha, though, and perhaps be dummy on a sun

I386PROGS = resizecons

OLDPROGS= mapscrn loadunimap

MISC    = screendump setvesablank spawn_console spawn_login \
	  getunimap clrunimap fgconsole

SHCMDS  = unicode_start unicode_stop

WARN	= -Wall
DEFS	= -DDATADIR=\"$(DATADIR)\"
CFLAGS  = -O2
LDFLAGS = -s

CC	= gcc
YACC	= bison -y
LEX	= flex -8

.c.o:
	$(CC) -c $(WARN) $(CFLAGS) $(DEFS) $<

all:	$(PROGS) $(OLDPROGS) $(MISC)

progs:	$(PROGS)

old:	$(OLDPROGS)

i386:	$(I386PROGS)

install:	all
	install -s -m 0755 -o root $(PROGS) $(OLDPROGS) $(BINDIR)
#	install -s -m 0755 -o root $(MISC) $(BINDIR)
#	install -c -m 0755 -o root $(SHCMDS) $(BINDIR)


install386:	i386
	install $(I386PROGS) $(BINDIR)

# loadkeys.o: separate rule since the flex output does not permit -Wall
loadkeys.o:	loadkeys.c analyze.c
	$(CC) -c $(CFLAGS) $(DEFS) $<


# mapscrn and loadunimap are now part of setfont
# but can be compiled separately, if desired
main_mapscrn.o: mapscrn.c paths.h
	$(CC) $(CFLAGS) $(WARN) $(DEFS) -DMAIN -c $< -o $@

main_loadunimap.o: loadunimap.c paths.h
	$(CC) $(CFLAGS) $(WARN) $(DEFS) -DMAIN -c $< -o $@

$(OLDPROGS): %: main_%.o findfile.o
	$(CC) $(LDFLAGS) $^ -o $@


clean:
	rm -f core *.o analyze.c loadkeys.c

reallyclean spotless distclean: clean
	rm -f $(PROGS) $(OLDPROGS) $(MISC) $(I386PROGS) *~

$(PROGS): %: %.o

dumpkeys loadkeys: ksyms.o

ksyms.o: cyrillic.syms.h ethiopic.syms.h

loadkeys.o mapscrn.o setfont.o resizecons.o loadunimap.o: paths.h

psfaddtable.o psfgettable.o psfstriptable.o setfont.o: psf.h

loadkeys mapscrn setfont resizecons loadunimap: findfile.o

chvt clrunimap deallocvt dumpkeys getkeycodes getunimap kbd_mode: getfd.o
loadkeys loadunimap mapscrn resizecons setkeycodes setfont: getfd.o
setvesablank showkey: getfd.o

setfont: mapscrn.o loadunimap.o

## kbd 0.99

=== openvt/Makefile ===

CC=gcc
CFLAGS=-O2 -Wall -ansi
LDFLAGS=$(CFLAGS) -s 

SRC=openvt.c
OBJ=openvt.o getfd.o
PROG=openvt
PROGS=$(PROG)
MAN=openvt.1
BINDIR=/usr/bin
MANDIR=/usr/man/man1

all: $(PROGS)

openvt: $(OBJ) 

openvt.o: openvt.h

clean:
	-rm -f $(OBJ)

realclean distclean: clean
	-rm -f $(PROGS)

install: $(PROGS)
	install -c $(PROGS) $(BINDIR)
	install -c $(MAN)  $(MANDIR)

setuid:
	chmod 4711 $(BINDIR)/$(PROG)

=== po/Makefile ===
PACKAGE = kbd
VERSION = 0.99

#
# po2tbl.sed is not taken from /usr/share/gettext/intl
# Often it is not present.
# A RedHat 5.2 installation only has po2tbl.sed.in.
#
PO2TBL = ./po2tbl.sed
INTL = /usr/share/gettext/intl
# FOREIGN=--foreign-user
FOREIGN=
SHELL = /bin/sh

prefix = /usr
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = $(prefix)/share/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# Not giving an explicit path improves the chances of finding these
GENCAT = gencat
MSGFMT = msgfmt
XGETTEXT = xgettext
MSGMERGE = msgmerge

# ..      for <config.h> (if HAVE_CONFIG_H is set)
# $(INTL) for "libgettext.h"
INCLUDES = -I.. -I$(INTL)

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

# Enter here all .po files
POFILES =  nl.po ru.po
# the same but with .gmo
GMOFILES = nl.gmo ru.gmo

CATALOGS = $(GMOFILES)
CATOBJEXT = .gmo
INSTOBJEXT = .mo

.SUFFIXES:
.SUFFIXES: .c .o .po .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	$(MSGFMT) -o $@ $<

.po.cat:
	sed -f $(PO2TBL) < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg

all: all-yes

all-yes: cat-id-tbl.c $(CATALOGS)
all-no:

kbd.pot:
	$(XGETTEXT) --default-domain=kbd --directory=.. \
	  --add-comments --keyword=_ --keyword=N_ \
	  --files-from=POTFILES.in $(FOREIGN)
	mv kbd.po kbd.pot

cat-id-tbl.c: stamp-cat-id
stamp-cat-id: kbd.pot
	rm -f cat-id-tbl.tmp
	sed -f $(PO2TBL) kbd.pot \
		| sed -e "s/@PACKAGE NAME@/kbd/" > cat-id-tbl.tmp
	if cmp -s cat-id-tbl.tmp cat-id-tbl.c; then \
	  rm cat-id-tbl.tmp; \
	else \
	  echo cat-id-tbl.c changed; \
	  rm -f cat-id-tbl.c; \
	  mv cat-id-tbl.tmp cat-id-tbl.c; \
	fi
	rm -f stamp-cat-id && echo timestamp > stamp-cat-id

install: install-data-yes
install-data-no: all
install-data-yes: all
	../mkinstalldirs $(datadir);
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/$(CATOBJEXT)$$//'`; \
	  dir=$$destdir/$$lang/LC_MESSAGES; \
	  ../mkinstalldirs $$dir; \
	  $(INSTALL_DATA) $$cat $$dir/kbd$(INSTOBJEXT); \
	  echo "installing $$cat as $$dir/kbd$(INSTOBJEXT)"; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/kbd$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/kbd$(INSTOBJEXT).m"; \
	  fi; \
	done

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  lang=`echo $$cat | sed 's/$(CATOBJEXT)$$//'`; \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/kbd$(INSTOBJEXT); \
	  rm -f $(localedir)/$$lang/LC_MESSAGES/kbd$(INSTOBJEXT).m; \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/kbd$(INSTOBJEXT); \
	  rm -f $(gnulocaledir)/$$lang/LC_MESSAGES/kbd$(INSTOBJEXT).m; \
	done
	rm -f $(gettextsrcdir)/po-Makefile.in.in

cat-id-tbl.o: $(INTL)/libgettext.h

clean:
	rm -f core core.* *~ *.o kbd.pot cat-id-tbl.tmp

distclean: clean
	rm -f POTFILES *.gmo *.mo *.msg *.cat *.cat.m

update-po: 
	$(MAKE) kbd.pot
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  lang=`echo $$cat | sed 's/$(CATOBJEXT)$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang.old.po kbd.pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; \
	    mv $$lang.old.po $$lang.po; \
	  fi; \
	done

POTFILES: 
	./update-potfiles

## kbd 1.06-2

=== man/Makefile ===
# Generated files
GEN1=man1/dumpkeys.1 man1/loadkeys.1
GEN8=man8/setfont.8 man8/loadunimap.8 man8/mapscrn.8

install:
	for i in man?; do \
		install -d -m 755 $(DESTDIR)$(MANDIR)/$$i; \
		install -m 644 $$i/*.[0-9] $(DESTDIR)$(MANDIR)/$$i; \
	done
	rm -f $(DESTDIR)$(MANDIR)/man5/keytables.5

clean:
	rm -f $(GEN1) $(GEN8)

=== openvt/Makefile ===

CC=gcc
CFLAGS=-O2 -Wall -ansi
LDFLAGS=$(CFLAGS) -s 

SRC=openvt.c
OBJ=openvt.o getfd.o
PROG=openvt
PROGS=$(PROG)
MAN=openvt.1
# BINDIR=${DESTDIR}/usr/bin
# MANDIR=${DESTDIR}/usr/man

all: $(PROGS)

openvt: $(OBJ) 

openvt.o: openvt.h

clean:
	-rm -f $(OBJ)

realclean distclean: clean
	-rm -f $(PROGS)

install: $(PROGS)
	install -d -m 755 $(DESTDIR)$(BINDIR)
	install -c $(PROGS) $(DESTDIR)$(BINDIR)

install-man:
	install -d -m 755 $(DESTDIR)$(MANDIR)/man1
	install -c $(MAN) $(DESTDIR)$(MANDIR)/man1

# don't change 4711 to 0711 - this is the setuid target
setuid:
	chmod 4711 $(DESTDIR)$(BINDIR)/$(PROG)

=== debian/changelog ===
kbd (1.06-2) unstable; urgency=low

  * Changed Maintainer: field to wart@debian.org
  * Applied patch by Ben Collins, (Closes: #110616)

 -- Wartan Hachaturow <wart@debian.org>  Wed, 30 Jan 2002 14:01:28 +0300

kbd (1.06-1) unstable; urgency=low

  * New upstream release.
  * Reapplied patches - looks like I forgot to send them upstream...
  * Moved added files to debian/ dir.

 -- Yann Dirson <dirson@debian.org>  Sun, 20 May 2001 02:39:19 +0200

kbd (1.05-4) unstable; urgency=high

  * Run script for which we rely on ouput under LC_ALL=POSIX (Closes:
    #94019).

 -- Yann Dirson <dirson@debian.org>  Fri, 20 Apr 2001 00:43:08 +0200

kbd (1.05-3) unstable; urgency=medium

  * Install kbdrate in /sbin instead of /usr/bin, and version the
    replacement of util-linux (Closes: #88868).

 -- Yann Dirson <dirson@debian.org>  Thu,  8 Mar 2001 12:48:58 +0100

kbd (1.05-2) unstable; urgency=low

  * Added clarifying message to postinst.
  * Stop adding a kbdconfig.8 link to undocumented.
  * Added to build-deps: bison, flex, gettext (Closes: #88091).

 -- Yann Dirson <dirson@debian.org>  Fri,  2 Mar 2001 17:47:06 +0100

kbd (1.05-1) unstable; urgency=low

  * The "Duplicate any bugs introduced in console-tools before they had a
    chance to be reported" release.
  * New upstream release:
  ** New programs: kbdrate outpsfheader psfxtable setlogcons.
  ** iso-8859-15 support (Closes: #56241).
  * Replaces util-linux because we now provide kbdrate.
  * Re-applyed a couple of patches:
  ** Support for console-data suffixes (.kmap, .sfm).
  ** Do not have ld strip binaries.
  ** Fixed handling of DESTDIR to something more standard (and which does
    not forget loadkeys location).
  ** re-added fonts.magic and Euro READMEs.
  * Added build-depends.
  * Added open compat symlink to openvt. Now provides/conflicts with old
    "open" package.
  * Updated for use with console-common, using console-tools 0.2.3-19 as a
    model (Closes: #57196):
  ** Updated relationships with other packages.
  ** Removed kbdconfig, install-keymap, and init.d/keymaps.sh.
  ** Updated postinst.
  ** Removed preinst (Closes: #87858).
  ** Removed debconf templates.
  ** Removed all traces of the ancient times when we shipped kbd-data.
  * Alcove earned to be copyright holder by providing me with time to work
    on this package; mentionned this in the copyright file.
  * Updated upstream location in copyright file.

 -- Yann Dirson <dirson@debian.org>  Wed, 28 Feb 2001 15:44:44 +0100

kbd (0.99-11) unstable; urgency=low

  * Behave correctly in preinst if any dir whose contents should be moved
    is empty (Closes: #61707).
  * Behave correctly in preinst if usr/local/share/keytables exists and
    /usr/local/share/keymaps does not (Same as #60917).
  * Replaced interpreter path in fix_bs_and_del example to match real path
    to loadkeys (#60073).

 -- Yann Dirson <dirson@debian.org>  Mon, 10 Apr 2000 02:12:10 +0200

kbd (0.99-10) unstable; urgency=high

  * Upload to woody - I would have liked to fix more
    things, but potato-only upload broke things in woody.
  * Reverted -9 changes for woody.

 -- Yann Dirson <dirson@debian.org>  Thu, 24 Feb 2000 23:22:46 +0100

kbd (0.99-9) frozen; urgency=low

  * Disable debconf support for potato; this is needed together with
    console-data_1999.08.29-11 which fixes 3 RC bugs in potato.  This
    includes:
    - comment out debconf stuff in postinst and preinst.
  * templates file was not installed !  Added a commented out line in
    debian/rules that would do that if not commented out, so that it does
    not get forgotten in woody.

 -- Yann Dirson <dirson@debian.org>  Sat, 19 Feb 2000 23:16:26 +0100

kbd (0.99-8) unstable; urgency=low

  * Added version on console-data dep.
  * Fallback to kbdconfig whenever db_get fails (Closes: #53008).

 -- Yann Dirson <dirson@debian.org>  Sat, 18 Dec 1999 16:53:15 +0100

kbd (0.99-7) unstable; urgency=low

  * Include shared/keymap/keymap_filename in templates file, so that
    postinst does not fail when console-data is not there yet (Closes:
    #52562 and others).

 -- Yann Dirson <dirson@debian.org>  Tue, 14 Dec 1999 21:49:38 +0100

kbd (0.99-6) unstable; urgency=medium

  * Use .kmap extension when looking for default keymap, to match the
    results of kbdconfig (Closes: #47795, #50431).
  * Rename (in preinst) an existing default .map file as .kmap if no .kmap
    is here yet.
  * Sync'ed preinst with bugfixes from console-tools.
  * Also sync'ed postinst for consistency.
  * Import console-tools keymap when reverting to kbd (who does that ?).
  * Use __sparc__ define where relevant (Closes: #50023).
  * Debconf support for console-data keymaps.

 -- Yann Dirson <dirson@debian.org>  Tue, 30 Nov 1999 00:32:58 +0100

kbd (0.99-5) unstable; urgency=low

  * Fixed Dependencies again :(

 -- Yann Dirson <dirson@debian.org>  Sun, 17 Oct 1999 17:11:06 +0200

kbd (0.99-4) unstable; urgency=HIGH

  * Changed default keymap names to use .kmap extension.
  * Depends on console-data, instead of only Recommending it (Closes:
    #47460, #47472, #47473, #47481, #47504).  Thanks to Thomas Quinot for
    the diagnostic.
  * Added a comment note in kbdconfig about the need this script has for a
    data package to be installed when it is ran.
  * Get rid of old kludges in favor of clean and readable syntax for some
    tests in kbdconfig.
  * Bumped Standards-Version to 3.0.1.

 -- Yann Dirson <dirson@debian.org>  Fri, 15 Oct 1999 23:33:09 +0200

kbd (0.99-3) unstable; urgency=low

  * Added .trans to "screen maps" (Font-to-Screen Maps, aka FCM) suffix
    list, so that it can use those from console-data.
  * Moved config conffile into debian/conffiles.d/ to avoid name conflict
    with debconf support in debhelper.
  * Moved /usr/doc to /usr/share.
  * Removed postinst fixups of pre-hamm unstable breakages.
  * Removed predends support check from preinst.
  * Do not install spawn_* any more.


=== debian/control ===
Source: kbd
Section: utils
Priority: extra
Maintainer: Wartan Hachaturow <wart@debian.org>
Build-Depends: debhelper (>= 2.0.40), linuxdoc-tools, bison, flex, gettext
Standards-Version: 3.0.1

Package: kbd
Architecture: any
Depends: ${shlibs:Depends}, sysvinit (>= 2.74), console-common, debconf (>= 0.5), dpkg (>= 1.4.0.21)
Recommends: console-data (>= 1999.08.29-13)
Provides: console-utilities, open
Conflicts: console-utilities, kbd-data, open
Replaces: open, util-linux (<< 2.11)
Description: Linux console font and keytable utilities.
 This package allows you to set up the Linux console, change the font,
 resize text mode virtual consoles and remap the keyboard.
 .
 It now contains the `openvt' program, formerly known as `open'.
 .
 It now contains the `kbdrate' program, formerly part of the `util-linux'
 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# 
# debian/rules file for the `kbd' package

# turn around bug in dpkg-parsechangelog
export LC_ALL=C

package=kbd

ARCH=$(shell dpkg --print-architecture)

topdir=$(shell pwd)
debdir=${topdir}/debian
tmpdir=${debdir}/tmp
bindir=${tmpdir}/bin
ubindir=${tmpdir}/usr/bin
usbindir=${tmpdir}/usr/sbin
docdir=${tmpdir}/usr/share/doc/${package}

configure-stamp:
	${topdir}/configure --mandir=/usr/share/man
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	make CFLAGS="-O2 -g -Wall" ARCH=${ARCH}
	make CFLAGS="-O2 -g -Wall" ARCH=${ARCH} -C contrib splitfont
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp \
	  contrib/splitfont
	-make reallyclean ARCH=${ARCH}
#	rm -f compress
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean

	make install-progs install-man DESTDIR=${tmpdir} ARCH=${ARCH}
     # install contribs
	install -m 755 ${topdir}/contrib/splitfont ${ubindir}

     # correct locations
	install -d -m755 ${tmpdir}/sbin
	mv ${tmpdir}/usr/bin/kbdrate ${tmpdir}/sbin/

     # open compat symlink
	ln -s openvt ${tmpdir}/usr/bin/open
	ln -s openvt.1 ${tmpdir}/usr/share/man/man1/open.1

binary-indep:
	dh_testdir

binary-arch:	install
	dh_testdir
	dh_testroot

	dh_installdirs

#	dh_installdebconf
	dh_installdocs

	dh_undocumented

     # correct
	mv ${docdir}/doc/* ${docdir}
	rmdir ${docdir}/doc
     # do not install the FAQ/HOWTO (already in doc-linux)
	rm ${docdir}/kbd.FAQ*

     # correct some install locations for programs
	mv ${ubindir}/showfont ${ubindir}/shfont
	rm ${ubindir}/spawn_*
	install -m 755 ${topdir}/data/keymaps/i386/mk_modmap ${ubindir}

    # some deb-specific files
	install -m 644 debian/conffiles.d/config ${tmpdir}/etc/kbd/

	dh_installinit --init-script=console-screen.kbd.sh -r -u"start 48 S ."

	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
ftp.win.tue.nl	/pub/linux/util/kbd	kbd-*.tar.gz		debian	uupdate

## kbd 1.15.2

=== debian/changelog ===
kbd (1.15.2-3ubuntu4) precise; urgency=low

  * Fix cross-building (LP: #872422):
    - Use dh_auto_configure.
    - Pass CC=$(DEB_HOST_GNU_TYPE)-gcc when cross-building contrib.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 21:54:20 +0100

kbd (1.15.2-3ubuntu3) precise; urgency=low

  * Build-depend on gettext:any, since we only need it to run tools at
    build-time.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Mar 2012 02:17:56 +0100

kbd (1.15.2-3ubuntu2) precise; urgency=low

  * Pre-Depend on a sufficient version of dpkg for dpkg-maintscript-helper.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 11 Feb 2012 14:51:26 +0000

kbd (1.15.2-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #779388). Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Depend on console-setup, and remove config file; we now only
      support systems using console-setup and so it no longer serves
      a purpose. The removed config file for console-screen has changed
      names from /etc/init.d/console-screen.kbd.sh to /etc/init.d/kbd.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter. (In case the foreground
      console is in raw mode.)
    - Add a 'setvtrgb' utility to configure vt/console colors.
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes needed.
    - Update Build-Depends for debhelper to version 8.1.0.
  * Simplify maintainer scripts for conffile removal, using new
    features in updated version of debhelper.
  * Add 'setvtrgb' manpage to man8 makefile, so it will install.
  * debian/rules: Move 'setvtrgb' binary to extra binaries, as udeb
    binaries are now handled differently.

 -- Allison Randal <allison@canonical.com>  Tue, 10 May 2011 14:10:03 +0200

kbd (1.15.2-3) unstable; urgency=low

  * Bump Priority: to optional (while downgrading console-tools to extra),
    closes: #591146.
  * Change my e-mail address in Uploaders:, debian/copyright and patches.
  * Update debian/copyright format to the current revision of DEP-5.
  * Patch manpages:
    - Document that the -e switch requires openvt to be a session leader,
      closes: #610373.
    - Give in to lintian concerning the *superflous typo in mk_modmap(8).
  * Breaks: util-linux (<< 2.11) instead of conflicting with it, as per Policy
    7.6.1: This was because of kbdrate moving packages.

 -- Michael Schutte <michi@debian.org>  Sat, 19 Feb 2011 11:38:00 +0100

kbd (1.15.2-2) unstable; urgency=low

  * New patch compose_as_usual: Fix the Unicode conversion of the internal
    “compose as usual” table with “loadkeys -u”, closes: #600006.
  * Prefer console-setup over console-data and console-common.  This is part
    of a d-i related fix and helps avoid that both console-setup-udeb and
    console-data ask the user for their preferred keyboard layout (by simply
    not installing console-data by default).  Thanks to Julien Cristau,
    closes: #606186.
  * Package housekeeping:
    - Upgrade Standards-Version: to 3.9.1, no changes necessary.
    - Package-Type: no longer needs an XC- prefix.
    - Add ${misc:Depends} to kbd-udeb as well.

 -- Michael Schutte <michi@uiae.at>  Wed, 08 Dec 2010 00:04:20 +0100

kbd (1.15.2-1) unstable; urgency=low

  * New upstream release.
    - The vcstime and cast_align patches have been merged.  They are
      removed from the .debian.tar.gz.
    - Drop the install_exec patch; this problem has been fixed in this
      version’s build system.
  * Do not regenerate configure in debian/rules.
  * Minor changes to debian/copyright (most recent DEP 5 draft).
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Remove the Greek translation in gr.po.  The correct 639-1 code is
    “el”; el.po exists as a more recent version of gr.po.
  * Ship only selected files from the doc/ directory, as most files are
    outdated and useless to the vast majority of users.  Remove
    README.Euro and LISEZMOI.Euro from the debian/ directory.
  * Register the font-formats documentation with doc-base.
  * Convert debian/rules to the more idiomatic format with override_*
    targets and depend on debhelper >= 7.0.50.

 -- Michael Schutte <michi@uiae.at>  Sun, 25 Apr 2010 19:28:19 +0200

kbd (1.15.1-3) unstable; urgency=low

  * New patch vcstime: /dev/vcs or /dev/vcs0 may act as console memory
    devices.  Before, only the latter file was considered in vcstime, causing
    it to fail on recent systems.
  * Mention the possibility of having vcstime run by kbd.init in
    /etc/kbd/config.
  * kbd.init: Remove some pointless code in the vcstime stanza.
  * kbd.init: The X-Start-Before hack is no longer needed as all init scripts
    with a Should-Start on console-screen have added kbd, closes: #563608.

 -- Michael Schutte <michi@uiae.at>  Sun, 24 Jan 2010 19:50:42 +0100

kbd (1.15.1-2) unstable; urgency=low

  * New patch cast_align: Fix an FTBFS on some architectures caused by an
    alignment error after casting a (char *) to a (struct psf2_header *) which
    has members aligned to more than a byte, closes: #558492.  The patch has
    been imported from the kbd upstream VCS.

 -- Michael Schutte <michi@uiae.at>  Thu, 03 Dec 2009 19:03:22 +0100

kbd (1.15.1-1) unstable; urgency=low

  * New upstream release.
    - The auto_convert, compile_on_sparc, keysyms, and showconsolefont_spaces
      patches have been merged.  They are removed from the .debian.tar.gz.
  * This upload converts the package to the 3.0 (quilt) source format.  The
    build-dependency on quilt, the patch/unpatch logic in debian/rules and
    the debian/README.source file have been removed.
  * kbd.init: If Upstart is used, get TTY information from /etc/init/tty*.conf
    rather than /etc/inittab, closes: #549317.
  * New patch kbd_mode: Change the misleading “default (ASCII) mode” message


=== debian/control ===
Source: kbd
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
Build-Depends: debhelper (>= 8.1.0), autoconf, automake, linuxdoc-tools, gettext:any, flex, bison
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-kbd/kbd.git
Vcs-Browser: http://git.debian.org/?p=pkg-kbd/kbd.git

Package: kbd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, console-setup, lsb-base (>= 3.0-10), initramfs-tools
Provides: console-utilities, open
Conflicts: console-utilities, kbd-data, open
Breaks: util-linux (<< 2.11)
Replaces: open, util-linux (<< 2.11)
Description: Linux console font and keytable utilities
 This package allows you to set up the Linux console, change the font,
 resize text mode virtual consoles and remap the keyboard.
 .
 You will probably want to install a set of data files, such as the one
 in the “console-setup” package.

Package: kbd-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux console keyboard setup utilities

=== debian/rules ===
#!/usr/bin/make -f

TOPDIR = $(shell pwd)
KBD = $(TOPDIR)/debian/kbd
KBD_DOC = $(KBD)/usr/share/doc/kbd
KBD_UDEB = $(TOPDIR)/debian/kbd-udeb

# backup these files before the build process so clean can restore the
# original tarball accurately
RETAIN = src/loadkeys.c src/analyze.c \
	 man/man1/dumpkeys.1 man/man1/loadkeys.1 \
	 man/man8/loadunimap.8 man/man8/mapscrn.8 man/man8/setfont.8

# build these twice, once optimized for size (for kbd-udeb)
UDEB_BINARIES = loadkeys kbd_mode setfont

# non-standard binaries to build
EXTRA_BINARIES = screendump setlogcons setvesablank setvtrgb
CONTRIB_BINARIES = codepage splitfont vcstime

# we don’t want these in /usr/bin
MOVE_TO_BIN = kbd_mode setfont fgconsole openvt chvt dumpkeys unicode_start loadkeys
MOVE_TO_SBIN = kbdrate setvtrgb
MOVE_TO_USR_SBIN = vcstime setvesablank

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f Makefile ] || $(MAKE) clean
	cd src/ && rm -f $(EXTRA_BINARIES) *-udeb
	cd contrib/ && rm -f $(CONTRIB_BINARIES)
	for ITEM in $(RETAIN); do [ ! -f $$ITEM.keep ] || mv $$ITEM.keep $$ITEM; done
	rm -f po/gr.po			# replaced by el.po

override_dh_auto_configure:
	for ITEM in $(RETAIN); do cp $$ITEM $$ITEM.keep; done
	dh_auto_configure -- --enable-nls

override_dh_auto_build:
	cd src/ && flex -o analyze.c analyze.l && sed -i 's/void yy_fatal_error/void attr_noreturn yy_fatal_error/' analyze.c
	rm -f src/loadkeys.c
	$(MAKE) -C src/ CFLAGS="-Os -g" $(UDEB_BINARIES)
	cd src/ && for ITEM in $(UDEB_BINARIES); do mv $$ITEM $$ITEM-udeb; done
	$(MAKE) -C src/ clean
	$(MAKE)
	$(MAKE) -C src/ $(EXTRA_BINARIES)
	$(MAKE) $(CROSS) CFLAGS="-O2 -g" -C contrib/ $(CONTRIB_BINARIES)

override_dh_auto_install:
# the kbd “core”
	$(MAKE) DESTDIR=$(KBD) install-exec
	$(MAKE) DESTDIR=$(KBD) -C po/ install
	$(MAKE) DESTDIR=$(KBD) -C man/ install
# some additional utilities
	install -m755 $(addprefix src/,$(EXTRA_BINARIES)) $(KBD)/usr/bin/
	install -m755 $(addprefix contrib/,$(CONTRIB_BINARIES)) $(KBD)/usr/bin/
	install -m755 data/keymaps/i386/mk_modmap $(KBD)/usr/bin
# move everything where it belongs
	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_BIN)) $(KBD)/bin/
	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_SBIN)) $(KBD)/sbin/
	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_USR_SBIN)) $(KBD)/usr/sbin/
# configuration files
	install -m644 debian/conffiles.d/* $(KBD)/etc/kbd/
# initramfs
	install -m 755 debian/kbd.initramfs-hook $(KBD)/usr/share/initramfs-tools/hooks/kbd
# prepare udeb
	for ITEM in $(UDEB_BINARIES); do install -m755 src/$$ITEM-udeb $(KBD_UDEB)/bin/$$ITEM; done
# and the rest
	dh install --after dh_install

binary-indep:
# Nothing to be done

binary-arch: install
	dh binary-arch --until dh_installdocs
# remove the docs shipped in doc-linux-{text,html}
	rm -f $(KBD)/usr/share/doc/kbd/kbd.FAQ*
	dh binary-arch --after dh_installdocs

override_dh_installinit:
	dh_installinit -r -u"start 48 S ."

override_dh_installdocs:
	dh_installdocs
	install -d $(KBD_DOC)/charsets
	cp doc/iso8859.info doc/iso*.txt doc/cp*.txt $(KBD_DOC)/charsets

TOPGIT_PATCHES = \
	fixes/kbd_mode fixes/manpages fixes/openvt_error_handling \
	fixes/unicode_start_breaks_X fixes/compose_as_usual

tg-export:
	rm -rf debian/patches
	tg export -b "`echo $(TOPGIT_PATCHES) | tr ' ' ','`" --quilt debian/patches

## kbd 1.15.3

=== debian/changelog ===
kbd (1.15.3-9ubuntu4) raring; urgency=low

  * Use autotools-dev to update config.guess and config.sub automatically.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 09 Feb 2013 00:08:33 +0000

kbd (1.15.3-9ubuntu3) raring; urgency=low

  * Revert build-dependency from gettext:any to gettext, now that gettext is
    Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2012 15:18:21 +0000

kbd (1.15.3-9ubuntu2) raring; urgency=low

  * Restore setvtrgb to kbd-udeb, since rootskel uses it.  This appears to
    have been lost in 1.15.2-3ubuntu1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Nov 2012 12:41:46 +0000

kbd (1.15.3-9ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Depend on console-setup, and remove config file; we now only support
      systems using console-setup and so it no longer serves a purpose. The
      removed config file for console-screen has changed names from
      /etc/init.d/console-screen.kbd.sh to /etc/init.d/kbd.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 May 2012 23:47:28 +0100

kbd (1.15.3-9) unstable; urgency=low

  * Revert the build-dependency change towards gettext:any and let the buildds
    do their work again, closes: #670778.

 -- Michael Schutte <michi@debian.org>  Sun, 29 Apr 2012 09:43:38 +0200

kbd (1.15.3-8) unstable; urgency=low

  * Set debian/compat to 9 and build-depend on debhelper >= 9.
  * Support cross-building, closes: #670653.  Thanks to Colin Watson
    <cjwatson@ubuntu.com> for the patch.
    - Allow the gettext build-dep to be satisfied by a package of any
      architecture.
    - Use dh_auto_configure.
    - Explicitly set the host CC to cross-build the contrib binaries.
  * Trigger font setup when any of CONSOLE_FONT, CONSOLE_MAP, or FONT_MAP are
    present in /etc/kbd/config, closes: #647153.
  * Point Format: in debian/copyright to the 1.0 version of the
    machine-readable copyright spec.
  * Update manpages.diff: Minor fixes to the setleds(1) manual page, closes:
    #663252.  Thanks to Bjarni Ingi Gislason <bjarniig@rhi.hi.is> for the
    patch.
  * Provide a no-op “status” option for /etc/init.d/kbd.
  * Bump Standards-Version: to 3.9.3, no changes necessary.

 -- Michael Schutte <michi@debian.org>  Sat, 28 Apr 2012 11:47:07 +0200

kbd (1.15.3-7ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add setfont, kbd_mode, and loadkeys to initramfs for console-setup.
    - Use ckbcomp to get the keyboard layout if other data files are not
      available.
    - Depend on console-setup, and remove config file; we now only support
      systems using console-setup and so it no longer serves a purpose. The
      removed config file for console-screen has changed names from
      /etc/init.d/console-screen.kbd.sh to /etc/init.d/kbd.
    - Change loadkeys to find any console not in raw mode when invoked
      without an explicit console parameter, in case the foreground console
      is in raw mode.
    - Simplify maintainer scripts for conffile removal, using new features
      in debhelper 8.1.0.
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.
    - Fix cross-building:
      + Use dh_auto_configure.
      + Pass CC=$(DEB_HOST_GNU_TYPE)-gcc when cross-building contrib.
  * Fix some previous mismerges and tidy up Ubuntu-specific patches.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Apr 2012 16:52:36 +0100

kbd (1.15.3-7) unstable; urgency=low

  * Use dpkg-buildflags to pass build options on to the configure
    script; build-depend on dpkg-dev >= 1.16.1 accordingly.
  * Set debian/compat to 8 and build-depend on debhelper >= 8.
  * Don’t depend on console-setup | console-common to break up a
    dependency loop.  The default configuration does not require any
    files from console-data (which is pulled in through console-common)
    or console-setup, so this should be a safe change.  Both packages
    are still alternatives in Recommends:.
  * Package relationship cleanup:
    - Drop minimum version from the console-data recommendation (the
      mentioned revision is from 2001).
    - Don’t Breaks:/Replaces: util-linux (relevant revisions before
      early 2001).
    - Don’t conflict with kbd-data, which hasn’t been around since
      Slink.
    - Get rid of all mentions of “open” (from the Slink era too).  This
      name is only provided by console-tools and kbd these days, which
      already conflict via console-utilities.  There also aren’t any
      dependencies on it in the archive.
  * Fix some deviations from DEP 5 in debian/copyright.
  * Rename patch openvt_error_handling to openvt and update it to not
    exit with a zero status code if there was an invocation error,
    closes: #642324.

 -- Michael Schutte <michi@debian.org>  Fri, 23 Sep 2011 22:54:08 +0200

kbd (1.15.3-6) unstable; urgency=low

  * Experimentally drop reset_vga_palette from /etc/init.d/kbd, closes:
    #637277.
  * Build for Architecture: linux-any to help clean up Not-For-Us.

 -- Michael Schutte <michi@debian.org>  Mon, 22 Aug 2011 20:57:00 +0200

kbd (1.15.3-5) unstable; urgency=low

  * Move away from topgit: Export the patches to debian/patches/ one
    last time and maintain them with quilt in the future.
  * Use the occasion to make the patch headers more DEP-3-y.
  * Add a manual page for setvtrgb(1) introduced in 1.15.3.


=== debian/control ===
Source: kbd
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9), autoconf, automake, linuxdoc-tools, gettext, flex, bison, autotools-dev (>= 20100122.1)
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/git/pkg-kbd/kbd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kbd/kbd.git

Package: kbd
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, console-setup, lsb-base (>= 3.0-10), initramfs-tools
Provides: console-utilities
Conflicts: console-utilities
Description: Linux console font and keytable utilities
 This package allows you to set up the Linux console, change the font,
 resize text mode virtual consoles and remap the keyboard.
 .
 You will probably want to install a set of data files, such as the one
 in the “console-setup” package.

Package: kbd-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux console keyboard setup utilities

=== debian/rules ===
#!/usr/bin/make -f

TOPDIR = $(shell pwd)
KBD = $(TOPDIR)/debian/kbd
KBD_DOC = $(KBD)/usr/share/doc/kbd
KBD_UDEB = $(TOPDIR)/debian/kbd-udeb

# build these twice, once optimized for size (for kbd-udeb)
UDEB_BINARIES = loadkeys kbd_mode setfont setvtrgb

# non-standard binaries to build
EXTRA_BINARIES = screendump setlogcons setvesablank
CONTRIB_BINARIES = codepage splitfont vcstime

# we don’t want these in /usr/bin
MOVE_TO_BIN = kbd_mode setfont fgconsole openvt chvt dumpkeys unicode_start loadkeys
MOVE_TO_SBIN = kbdrate setvtrgb
MOVE_TO_USR_SBIN = vcstime setvesablank

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@ --with autotools-dev

override_dh_auto_clean:
	dh_auto_clean
	[ ! -f Makefile ] || $(MAKE) clean
	cd src/ && rm -f $(EXTRA_BINARIES) *-udeb
	cd contrib/ && rm -f $(CONTRIB_BINARIES)
	cd po/ && rm -f eo.gmo it.gmo ru.gmo
	rm -f po/gr.po			# replaced by el.po
	rm -f po/es.po			# erroneous
	# force rebuilding of generated code
	rm -f src/loadkeys.c src/loadkeys.h src/loadkeys.analyze.c

override_dh_auto_configure:
	dh_auto_configure -- --enable-nls

override_dh_auto_build:
	$(MAKE) -C po/ eo.gmo it.gmo ru.gmo
	$(MAKE) -C src/ CFLAGS="-Os -g" $(UDEB_BINARIES)
	cd src/ && for ITEM in $(UDEB_BINARIES); do mv $$ITEM $$ITEM-udeb; done
	$(MAKE) -C src/ clean
	$(MAKE)
	$(MAKE) -C src/ $(EXTRA_BINARIES)
	$(MAKE) $(CROSS) CFLAGS="-O2 -g" -C contrib/ $(CONTRIB_BINARIES)

override_dh_auto_install:
# the kbd “core”
	$(MAKE) DESTDIR=$(KBD) install-exec
	$(MAKE) DESTDIR=$(KBD) -C po/ install
	$(MAKE) DESTDIR=$(KBD) -C man/ install
# some additional utilities
	install -m755 $(addprefix src/,$(EXTRA_BINARIES)) $(KBD)/usr/bin/
	install -m755 $(addprefix contrib/,$(CONTRIB_BINARIES)) $(KBD)/usr/bin/
	install -m755 data/keymaps/i386/mk_modmap $(KBD)/usr/bin
# move everything where it belongs
	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_BIN)) $(KBD)/bin/
	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_SBIN)) $(KBD)/sbin/
	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_USR_SBIN)) $(KBD)/usr/sbin/
# configuration files
	install -m644 debian/conffiles.d/* $(KBD)/etc/kbd/
# initramfs
	install -m 755 debian/kbd.initramfs-hook $(KBD)/usr/share/initramfs-tools/hooks/kbd
# prepare udeb
	for ITEM in $(UDEB_BINARIES); do install -m755 src/$$ITEM-udeb $(KBD_UDEB)/bin/$$ITEM; done

override_dh_installinit:
	dh_installinit -r -u"start 48 S ."

override_dh_installdocs:
	dh_installdocs
	install -d $(KBD_DOC)/charsets
	cp doc/iso8859.info doc/iso*.txt doc/cp*.txt $(KBD_DOC)/charsets

## kbd 1.15.5

=== debian/changelog ===
kbd (1.15.5-2) unstable; urgency=medium

  * Not updating to the new upstream version 2.0.2, as it contains major
    changes (including a shared object for most of dumpkeys' and loadkeys'
    features) and we're close to the freeze.
  * /etc/init.d/kbd: More accurately detect allocated ttys in /etc/inittab,
    closes: #744973.
  * /etc/init.d/kbd: Instead of checking for console access based on fgconsole
    and the file behind FD 0, use the test_console function from
    console-setup's setupcon.  This makes the script run even under systemd,
    closes: #750631.
  * /etc/init.d/kbd: Parse /etc/systemd/logind.conf, if available, to find the
    list of VTs to configure.
  * README.Debian: Information on console-setup and its predecessors, closes:
    #750814.  Thanks to Osamu Aoki for the patch.
  * debian/rules: Remove the -u parameter from dh_installinit, as update-rc.d
    no longer supports the “start” option.
  * Fix a few typos in debian/copyright, courtesy of lintian.
  * Update Standards-Version to 3.9.6, no source changes required.
  * Medium urgency upload so we get a couple of days in testing before the
    freeze.

 -- Michael Schutte <michi@debian.org>  Sat, 25 Oct 2014 19:46:15 +0200

kbd (1.15.5-1) unstable; urgency=low

  * New upstream release.
    - Drop the loadkeys_stdin patch introduced in 1.15.3-2 (included in this
      version).
    - The kbd tarball now ships with a basic implementation of vlock.  This
      program will not be included in the binary package.
    - resizecons is now built and installed on amd64, closes: #692014.  Also
      amend the manpages patch to explain the program’s absence on
      non-x86[_64] architectures in resizecons.8.
    - Build the Spanish messages again (dropped in 1.15.3-1).
  * Treat src/loadkeys.analyze.h (generated by flex, but also shipped in the
    orig tarball) specially in debian/rules so the clean target functions
    properly and the package can be built twice in a row.
  * Use dh-autoreconf to regenerate config.guess and config.sub during the
    build process, closes: #700119.  This introduces new build-deps on
    dh-autoreconf and autopoint and removes the explicit dependencies on
    autoconf and automake.  Thanks to Colin Watson <cjwatson@ubuntu.com> for
    the hint.
  * Update the source URL and the years of publication in debian/copyright and
    add a paragraph for the added vlock code.
  * New patch loadkeys_flex_stack, taken from upstream Git: Fix a regression
    in loadkeys.analyze.l which causes some keymap files to fail to load.
  * New patch dead2 by Samuel Thibault <sthibault@debian.org> to support
    KT_DEAD2 diacritics in loadkeys and dumpkeys, closes: #694169.  Thank you
    for the patch, Samuel!
  * Drop the “Skipping font and keymap setup” message from /etc/init.d/kbd
    because it’s really somewhat silly to log what the script isn’t doing.
  * Use a canonical URL for the Vcs-Git: field.
  * Bump Standards-Version: to 3.9.4, no changes necessary.

 -- Michael Schutte <michi@debian.org>  Sun, 17 Feb 2013 19:37:26 +0100

=== debian/control ===
Source: kbd
Section: utils
Priority: optional
Maintainer: Console utilities maintainers <pkg-kbd-devel@lists.alioth.debian.org>
Uploaders: Michael Schutte <michi@debian.org>, Anton Zinoviev <zinoviev@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9), dh-autoreconf,
    autopoint, linuxdoc-tools, gettext, flex, bison
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-kbd/kbd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kbd/kbd.git

Package: kbd
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-10)
Recommends: console-setup | console-data
Provides: console-utilities
Conflicts: console-utilities
Description: Linux console font and keytable utilities
 This package allows you to set up the Linux console, change the font,
 resize text mode virtual consoles and remap the keyboard.
 .
 You will probably want to install a set of data files, such as the one
 in the “console-data” package.

Package: kbd-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux console keyboard setup utilities

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 KBD_UDEB = $(TOPDIR)/debian/kbd-udeb
 
 # build these twice, once optimized for size (for kbd-udeb)
-UDEB_BINARIES = loadkeys kbd_mode setfont setvtrgb
+UDEB_BINARIES = loadkeys kbd_mode setfont
 
 # non-standard binaries to build
 EXTRA_BINARIES = screendump setlogcons setvesablank
@@ -14,7 +14,7 @@
 
 # we don’t want these in /usr/bin
 MOVE_TO_BIN = kbd_mode setfont fgconsole openvt chvt dumpkeys unicode_start loadkeys
-MOVE_TO_SBIN = kbdrate setvtrgb
+MOVE_TO_SBIN = kbdrate
 MOVE_TO_USR_SBIN = vcstime setvesablank
 
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -24,25 +24,22 @@
 endif
 
 %:
-	dh $@ --with autotools-dev
+	dh $@ --with autoreconf
 
 override_dh_auto_clean:
 	dh_auto_clean
 	[ ! -f Makefile ] || $(MAKE) clean
 	cd src/ && rm -f $(EXTRA_BINARIES) *-udeb
 	cd contrib/ && rm -f $(CONTRIB_BINARIES)
-	cd po/ && rm -f eo.gmo it.gmo ru.gmo
 	rm -f po/gr.po			# replaced by el.po
-	rm -f po/es.po			# erroneous
 	# force rebuilding of generated code
-	rm -f src/loadkeys.c src/loadkeys.h src/loadkeys.analyze.c
+	rm -f src/loadkeys.c src/loadkeys.h src/loadkeys.analyze.c src/loadkeys.analyze.h
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-nls
+	dh_auto_configure -- --enable-nls --disable-vlock
 
 override_dh_auto_build:
-	$(MAKE) -C po/ eo.gmo it.gmo ru.gmo
-	$(MAKE) -C src/ CFLAGS="-Os -g" $(UDEB_BINARIES)
+	$(MAKE) -C src/ CFLAGS="-Os -g" loadkeys.analyze.h $(UDEB_BINARIES)
 	cd src/ && for ITEM in $(UDEB_BINARIES); do mv $$ITEM $$ITEM-udeb; done
 	$(MAKE) -C src/ clean
 	$(MAKE)
@@ -64,13 +61,11 @@
 	mv $(addprefix debian/kbd/usr/bin/,$(MOVE_TO_USR_SBIN)) $(KBD)/usr/sbin/
 # configuration files
 	install -m644 debian/conffiles.d/* $(KBD)/etc/kbd/
-# initramfs
-	install -m 755 debian/kbd.initramfs-hook $(KBD)/usr/share/initramfs-tools/hooks/kbd
 # prepare udeb
 	for ITEM in $(UDEB_BINARIES); do install -m755 src/$$ITEM-udeb $(KBD_UDEB)/bin/$$ITEM; done
 
 override_dh_installinit:
-	dh_installinit -r -u"start 48 S ."
+	dh_installinit -r
 
 override_dh_installdocs:
 	dh_installdocs
